Package org.apache.activemq.artemis.jms.bridge

## Interface ActiveMQJMSBridgeLogger

- All Superinterfaces:
    `org.jboss.logging.BasicLogger`
  All Known Implementing Classes:
    `ActiveMQJMSBridgeLogger_$logger`

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJMSBridgeLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 34 each message id must be 6 digits long starting with 34, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 341000 to 341999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSBridgeLogger` | `LOGGER` | The default logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bridgeAckError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `void` | `bridgeConnected​(java.lang.String bridgeName)` |
    `void` | `bridgeConnectError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `void` | `bridgeFailure​(java.lang.Exception e, java.lang.String bridgeName)` |
    `void` | `bridgeNotStarted​(java.lang.String bridgeName)` |
    `void` | `bridgeReconnected​(java.lang.String bridgeName)` |
    `void` | `bridgeRetry​(long failureRetryInterval, java.lang.String bridgeName)` |
    `void` | `errorBridgeAlreadyStarted​(java.lang.String bridgeName)` |
    `void` | `errorConnectingBridge​(java.lang.String bridgeName)` |
    `void` | `errorStartingBridge​(java.lang.String bridgeName)` |
    `void` | `errorUnregisteringBridge​(javax.management.ObjectName objectName, java.lang.String bridgeName)` |
    `void` | `failedToSetUpBridge​(long failureRetryInterval, java.lang.String bridgeName)` |
    `void` | `jmsBridgeSrcConnectError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `void` | `jmsBridgeTransactionManagerMissing​(QualityOfServiceMode qosMode, java.lang.String bridgeName)` |
    `void` | `transactionRolledBack​(java.lang.Exception e)` |

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJMSBridgeLogger LOGGER

      The default logger.

  - ### Method Detail

    - #### failedToSetUpBridge

          @LogMessage(level=INFO)
          @Message(id=341000,
                   value="Failed to set up JMS bridge {1} connections. Most probably the source or target servers are unavailable. Will retry after a pause of {0} ms",
                   format=MESSAGE_FORMAT)
          void failedToSetUpBridge​(long failureRetryInterval,
                                   java.lang.String bridgeName)

    - #### bridgeReconnected

          @LogMessage(level=INFO)
          @Message(id=341001,
                   value="JMS Bridge {0} succeeded in reconnecting to servers",
                   format=MESSAGE_FORMAT)
          void bridgeReconnected​(java.lang.String bridgeName)

    - #### bridgeConnected

          @LogMessage(level=INFO)
          @Message(id=341002,
                   value="JMSBridge {0} succeeded in connecting to servers",
                   format=MESSAGE_FORMAT)
          void bridgeConnected​(java.lang.String bridgeName)

    - #### errorBridgeAlreadyStarted

          @LogMessage(level=WARN)
          @Message(id=342000,
                   value="Attempt to start JMS Bridge {0}, but is already started",
                   format=MESSAGE_FORMAT)
          void errorBridgeAlreadyStarted​(java.lang.String bridgeName)

    - #### errorStartingBridge

          @LogMessage(level=WARN)
          @Message(id=342001,
                   value="Failed to start JMS Bridge {0}",
                   format=MESSAGE_FORMAT)
          void errorStartingBridge​(java.lang.String bridgeName)

    - #### errorUnregisteringBridge

          @LogMessage(level=WARN)
          @Message(id=342002,
                   value="Failed to unregisted JMS Bridge {0} - {1}",
                   format=MESSAGE_FORMAT)
          void errorUnregisteringBridge​(javax.management.ObjectName objectName,
                                        java.lang.String bridgeName)

    - #### errorConnectingBridge

          @LogMessage(level=WARN)
          @Message(id=342003,
                   value="JMS Bridge {0} unable to set up connections, bridge will be stopped",
                   format=MESSAGE_FORMAT)
          void errorConnectingBridge​(java.lang.String bridgeName)

    - #### bridgeRetry

          @LogMessage(level=WARN)
          @Message(id=342004,
                   value="JMS Bridge {1}, will retry after a pause of {0} ms",
                   format=MESSAGE_FORMAT)
          void bridgeRetry​(long failureRetryInterval,
                           java.lang.String bridgeName)

    - #### bridgeNotStarted

          @LogMessage(level=WARN)
          @Message(id=342005,
                   value="JMS Bridge {0} unable to set up connections, bridge will not be started",
                   format=MESSAGE_FORMAT)
          void bridgeNotStarted​(java.lang.String bridgeName)

    - #### bridgeFailure

          @LogMessage(level=WARN)
          @Message(id=342006,
                   value="JMS Bridge {0}, detected failure on bridge connection",
                   format=MESSAGE_FORMAT)
          void bridgeFailure​(@Cause
                             java.lang.Exception e,
                             java.lang.String bridgeName)

    - #### bridgeAckError

          @LogMessage(level=WARN)
          @Message(id=342009,
                   value="JMS Bridge {0} failed to send + acknowledge batch, closing JMS objects",
                   format=MESSAGE_FORMAT)
          void bridgeAckError​(@Cause
                              java.lang.Exception e,
                              java.lang.String bridgeName)

    - #### bridgeConnectError

          @LogMessage(level=WARN)
          @Message(id=342010,
                   value="Failed to connect JMS Bridge {0}",
                   format=MESSAGE_FORMAT)
          void bridgeConnectError​(@Cause
                                  java.lang.Exception e,
                                  java.lang.String bridgeName)

    - #### transactionRolledBack

          @LogMessage(level=WARN)
          @Message(id=342011,
                   value="Transaction rolled back, retrying TX",
                   format=MESSAGE_FORMAT)
          void transactionRolledBack​(@Cause
                                     java.lang.Exception e)

    - #### jmsBridgeSrcConnectError

          @LogMessage(level=ERROR)
          @Message(id=344001,
                   value="JMS Bridge {0}, failed to start source connection",
                   format=MESSAGE_FORMAT)
          void jmsBridgeSrcConnectError​(@Cause
                                        java.lang.Exception e,
                                        java.lang.String bridgeName)

    - #### jmsBridgeTransactionManagerMissing

          @LogMessage(level=ERROR)
          @Message(id=344002,
                   value="Failed to start JMS Bridge {1}.  QoS Mode: {0} requires a Transaction Manager, none found",
                   format=MESSAGE_FORMAT)
          void jmsBridgeTransactionManagerMissing​(QualityOfServiceMode qosMode,
                                                  java.lang.String bridgeName)